+ Post New Thread
Page 3 of 532 FirstFirst 1 2 3 4 5 13 53 103 503 ... LastLast
Threads 51 to 75 of 13298

Forum: AutoLISP, Visual LISP & DCL

Questions from beginner to advanced. Tell us about good sources of free lisp and post your own routines for testing.
Code posting guidelines

  1. FAQ Article Sticky Thread Sticky: Suggested changes to this forum

    The "AutoLISP, VBA, the CUI & Customisation" forum has become a very lively part of the AutoCAD Forums and probably needs a structural review in order to acommodate growth in the future. I'm...

    Started by CADTutor‎, 14th Jun 2010 09:44 am
    8 Pages
    1 2 3 ... 8
    • Replies: 75
    • Views: 38,879
    12th Aug 2010 08:09 am Go to last post
  2. FAQ Article Sticky Thread Sticky: Code posting guidelines

    Code posting guidelines When you are posting AutoLISP or VBA code in these forums, there are some simple guidellines you should observe in order to make life easier for you and for others. ...

    Started by CADTutor‎, 18th Sep 2006 10:46 pm
    • Replies: 0
    • Views: 49,897
    18th Sep 2006 10:46 pm Go to last post
  1. Unhappy Lisp to export object coordinate to excel

    Hello, Can someone make a lisp to create Excel file (without open any dialog windows) and export a select object coordinate to excel?:(

    Started by mit‎, 18th Aug 2015 03:51 pm
    • Replies: 6
    • Views: 339
    20th Aug 2015 03:49 am Go to last post
  2. Replace Selected Block Or Blocks With Another Block

    DOES ANYONE HAVE A QUICK AND EASY WAY TO REPLACE A SELECTED BLOCK. ALSO IS THERE A WAY TO REPLACE MULTIPLE SLECTED BLOCKS AND REPLACE WITH A DIFFERENT BLOCK TYPICAL FOR ALL THE BLOCKS THAT ARE...

    Started by Efeezy‎, 27th May 2010 12:12 am
    4 Pages
    1 2 3 ... 4
    • Replies: 33
    • Views: 21,020
    19th Aug 2015 06:05 pm Go to last post
  3. Converting All Fields To text (Dynamic Block Bursted error)

    (defun C:R-FIELDS ( / del-field ss1 index item) (defun del-field (ent / edic) (if (setq edic (cdr (assoc 360 (entget ent)))) (dictremove edic "ACAD_FIELD") ) ) (if (=...

    Started by mbrandt5‎, 12th Aug 2015 06:01 pm
    • Replies: 4
    • Views: 294
    19th Aug 2015 04:38 pm Go to last post
  4. Break a list in two sub lists

    I want to break a list in two sub lists like that: List: (a b c d e f g) And get L1 as (a b c d) and L2 as (e f g). It s easy to get the second L2 with (member e ls) and frankly i can...

    Started by MJLM‎, 22nd Jun 2014 09:29 pm
    2 Pages
    1 2
    • Replies: 13
    • Views: 1,165
    19th Aug 2015 12:06 pm Go to last post
  5. Star Get a list of global variables

    Dear all Before appload lisp (fas ,vlx ) , record global variables. (can use "atoms-family" func ?) After appload lisp (fas, vlx) , record global variables. Than ,get a list of global...

    Started by AIberto‎, 18th Aug 2015 12:38 pm
    2 Pages
    1 2
    • Replies: 13
    • Views: 414
    19th Aug 2015 08:21 am Go to last post
  6. Embarrassed Lisp to dimension between two center points

    Hello again CAD wizards, So heres the thing i want to do. I have to dimension 800 such points in a drawing file. So what I want to know is that is it achievable using auto lisp....

    Started by Ramees‎, 15th Aug 2015 08:26 am
    • Replies: 5
    • Views: 470
    19th Aug 2015 04:38 am Go to last post
  7. sort 3d polylines due distance on polyline

    Hello friends I am trying to sort entities name list according to its location on polyline (defun c:nn (/ ) (princ "\n Select 3d polyline :") (setq entlst'()) (setq sel (ssget'((0 ....

    Started by motee-z‎, 18th Aug 2015 08:15 am
    2 Pages
    1 2
    • Replies: 17
    • Views: 411
    19th Aug 2015 04:17 am Go to last post
  8. creating block using autolisp

    i have 2 polylines in a drawing that i want to put in a block named "myblock". they are set as en1 and en2. my insertion point is ip. following command didn't work: (command "_.-block" myblock...

    Started by cagri‎, 18th Aug 2015 05:20 pm
    • Replies: 3
    • Views: 199
    18th Aug 2015 08:19 pm Go to last post
  9. Xrecord doesn't create

    Hello guys, nice to see you again! I've a probleam creating this xrecord: (setq anXrec (entmakex '((0 . "XRECORD") (100 . "AcDbXrecord") ...

    Started by MastroLube‎, 13th Aug 2015 03:37 pm
    • Replies: 3
    • Views: 257
    18th Aug 2015 08:46 am Go to last post
  10. String Overwrite

    I need a lisp to overwrite text/mtext It will prompt the user for a string Then either window or pick entities to be over written. This is what I have so far:

    Started by Happy Hobbit‎, 16th Dec 2014 03:29 pm
    2 Pages
    1 2
    • Replies: 13
    • Views: 976
    18th Aug 2015 07:07 am Go to last post
  11. Lisp to auto draw Circles on selected objects

    Hi all, I'm new to autolisp. Can someone make a lisp to draw auto circles on selected objects. I hope you guys could help me with this problem (Image below)

    Started by mit‎, 17th Aug 2015 05:21 pm
    • Replies: 3
    • Views: 263
    17th Aug 2015 11:27 pm Go to last post
  12. Duplayout LISP

    Hello, i've been useing Duplayout LISP made by Gile for a while (CADtutor forum), however i'm missing 2 things in it, and I hope you can guys help me out: When using duplayout, the name of the...

    Started by Bloodhurt‎, 13th Aug 2015 08:08 am
    • Replies: 2
    • Views: 361
    17th Aug 2015 11:53 am Go to last post
  13. Xref Alert upon open

    Hi all We use the ACADDOC.lsp to load some lsp routines upon opening a dwg file. I would like to add an "Alert" feature to this file. I ideally would like the dwg to open and then if it...

    Started by Shoey‎, 14th Aug 2015 02:05 pm
    • Replies: 3
    • Views: 328
    17th Aug 2015 10:00 am Go to last post
  14. Sort list of lines and arcs

    Hello guys, This is my first post in the forum, though ive been a reader for a few years now. Ive been working on a passion project/hobby for the last few months. I want to export cad data...

    Started by doaiena‎, 13th Aug 2015 12:04 am
    2 Pages
    1 2
    • Replies: 16
    • Views: 682
    16th Aug 2015 10:42 pm Go to last post
  15. Network check

    Hello there, I need help with my piping network; I need to do certain control checks on my polylines (pipes) in order to have healthy project. I explained details on below and any help is...

    Started by reistyle‎, 16th Aug 2015 06:41 pm
    • Replies: 0
    • Views: 103
    16th Aug 2015 06:41 pm Go to last post
  16. Centerline coordinates and offset of road alignment

    I have attached a dwg files and a excell file can it possible possible by lisp.i need it too much.i use only autocad .plss help me

    Started by anindya‎, 16th Aug 2015 12:18 pm
    • Replies: 0
    • Views: 164
    16th Aug 2015 12:18 pm Go to last post
  17. Insert group codes

    Hello I have a problem with the interpretation of the codes insert group (10 50 210) Can you explain graphically what each of the data codes. ((-1 . <Entity name: 1a7773d8>) (0 . INSERT) (5 ....

    Started by jan_ek‎, 13th Aug 2015 09:46 pm
    • Replies: 5
    • Views: 313
    16th Aug 2015 12:22 am Go to last post
  18. Batch Find & Replace Text

    Batch Find & Replace Text This program uses ObjectDBX to perform multiple text replacements on the current drawing or a complete directory (and subdirectories) of drawings. The program has the...

    Started by Lee Mac‎, 23rd Mar 2010 11:06 pm
    30 Pages
    1 2 3 ... 30
    • Replies: 297
    • Views: 72,613
    15th Aug 2015 10:26 am Go to last post
  19. Idea compare 2 blocks attributes values

    I saw few days ago , approximatelly same post name , but mine it have a little bit other meaning : I have 2 blocks with attributes , I have to compare each cell value in first block with its...

    Started by sergiu_ciuhnenco‎, 15th Aug 2015 07:55 am
    • Replies: 0
    • Views: 173
    15th Aug 2015 07:55 am Go to last post
  20. setting rectangle fillet and misc

    I'm stuck on this so any help is appreciated. (defun c:plancallout () ;set variables (setq layername "S-ANNO-SYMB") (setq layercolor "140") (setq restoreosmode (getvar "OSMODE")) ...

    Started by iconeo‎, 14th Aug 2015 12:49 am
    • Replies: 5
    • Views: 316
    14th Aug 2015 11:34 pm Go to last post
  21. nested blocks

    Did someone once wrote a function that transfers to nested blocks in front of the main block. The only idea as I have at the moment is a breakdown of the main block and create a new of the same name...

    Started by jan_ek‎, 14th Aug 2015 09:39 am
    • Replies: 4
    • Views: 206
    14th Aug 2015 05:55 pm Go to last post
  22. Bursting an attribute

    Does anyone know of a way to make the column setting of mtext change to dynamic using lisp? The reason I ask is that when you burst an attribute the column setting is set to none...

    Started by mbrandt5‎, 14th Aug 2015 04:16 pm
    • Replies: 0
    • Views: 159
    14th Aug 2015 04:16 pm Go to last post
  23. Effective Method For Creating This Polyline

    I was wondering how one would best and most efficiently create this polyline in lisp. I have achieved it by drawing some lines and then using the FILLET command but the results can be kind of flaky,...

    Started by Bill Tillman‎, 13th Aug 2015 02:31 pm
    • Replies: 9
    • Views: 357
    14th Aug 2015 12:31 pm Go to last post
  24. Drawing How to insert a Block with Attributes linked to a poliline

    Greetings to everyone, Recently I started to codding in auto lisp, but since my knowledge is still on a very basic level I haven't been able to accomplish what I thought was an easy task. What...

    Started by Lui‎, 12th Aug 2015 03:23 am
    • Replies: 4
    • Views: 384
    14th Aug 2015 04:00 am Go to last post
  25. Unhappy Lisp to insert blocks from csv or excel file

    Hello CAD Wizards, I am pretty new to the idea of lisp. However I have been using autocad scripts to get my job done. So what I want to do is create a lisp function so that it reads the x , y...

    Started by Ramees‎, 13th Aug 2015 07:42 am
    2 Pages
    1 2
    • Replies: 11
    • Views: 384
    13th Aug 2015 02:07 pm Go to last post

Thread Display Options

Use this control to limit the display of threads to those newer than the specified time frame.

Allows you to choose the data by which the thread list will be sorted.

Order threads in...

Note: when sorting by date, 'descending order' will show the newest results first.

Icon Legend

Contains unread posts
Contains unread posts
Contains no unread posts
Contains no unread posts
More than 15 replies or 250 views
Hot thread with unread posts
More than 15 replies or 250 views
Hot thread with no unread posts
Closed Thread
Thread is closed
Thread Contains a Message Written By You
You have posted in this thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts